package com.gingersoft.gsa.cloud.bean.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/7/16
 * 修订历史：2019/7/16
 * 描述：
 */
public class AdjustTipRequest {

    private String EVENT_NAME;
    private String PAYMENT_APP_ID;
    private String TXN_ID;
    private double TOTAL_TXN_AMT;
    private double TOTAL_FOREIGN_AMT;


    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getPAYMENT_APP_ID() {
        return PAYMENT_APP_ID;
    }

    public void setPAYMENT_APP_ID(String PAYMENT_APP_ID) {
        this.PAYMENT_APP_ID = PAYMENT_APP_ID;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public double getTOTAL_TXN_AMT() {
        return TOTAL_TXN_AMT;
    }

    public void setTOTAL_TXN_AMT(double TOTAL_TXN_AMT) {
        this.TOTAL_TXN_AMT = TOTAL_TXN_AMT;
    }

    public double getTOTAL_FOREIGN_AMT() {
        return TOTAL_FOREIGN_AMT;
    }

    public void setTOTAL_FOREIGN_AMT(double TOTAL_FOREIGN_AMT) {
        this.TOTAL_FOREIGN_AMT = TOTAL_FOREIGN_AMT;
    }

    @Override
    public String toString() {
        return "AdjustTipRequest{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", PAYMENT_APP_ID='" + PAYMENT_APP_ID + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", TOTAL_TXN_AMT=" + TOTAL_TXN_AMT +
                ", TOTAL_FOREIGN_AMT=" + TOTAL_FOREIGN_AMT +
                '}';
    }
}
